import type { PluginContext, AnyTouchEvent } from '@any-touch/shared';
import Core from '@any-touch/core';
/**
 * 默认选项
 */
declare const DEFAULT_OPTIONS: {
    name: string;
    threshold: number;
    pointLength: number;
};
/**
 * 实例
 */
declare type PinchContext = PluginContext & typeof DEFAULT_OPTIONS;
/**
 * 扩展插件映射
 */
declare module '@any-touch/core' {
    interface PluginContextMap {
        pinch: PinchContext;
    }
    interface EventMap {
        pinch: AnyTouchEvent;
        pinchstart: AnyTouchEvent;
        pinchmove: AnyTouchEvent;
        pinchend: AnyTouchEvent;
        pinchcancel: AnyTouchEvent;
        pinchin: AnyTouchEvent;
        pinchout: AnyTouchEvent;
    }
}
/**
 * "啮合"识别器
 * @param at AnyTouch实例
 * @param options 识别器选项
 * @returns
 */
export default function (at: Core, options?: Partial<typeof DEFAULT_OPTIONS>): PinchContext;
export {};
