import type { PluginContext, AnyTouchEvent } from '@any-touch/shared';
import Core from '@any-touch/core';
declare const DEFAULT_OPTIONS: {
    name: string;
    pointLength: number;
    maxDistance: number;
    minPressTime: number;
};
/**
 * 实例
 */
declare type PressContext = PluginContext & typeof DEFAULT_OPTIONS;
/**
 * 扩展插件映射
 */
declare module '@any-touch/core' {
    interface PluginContextMap {
        press: PressContext;
    }
    interface EventMap {
        press: AnyTouchEvent;
        pressup: AnyTouchEvent;
    }
}
/**
 * "拖拽"识别器
 * @param at AnyTouch实例
 * @param options AnyTouch选项
 * @returns
 */
export default function (at: Core, options?: Partial<typeof DEFAULT_OPTIONS>): PluginContext<{
    name: string;
    pointLength: number;
    maxDistance: number;
    minPressTime: number;
}>;
export {};
