import type { PluginContext, AnyTouchEvent } from '@any-touch/shared';
import Core from '@any-touch/core';
declare const DEFAULT_OPTIONS: {
    name: string;
    threshold: number;
    pointLength: number;
};
/**
 * 实例
 */
declare type RotateContext = PluginContext & typeof DEFAULT_OPTIONS;
/**
 * 扩展插件映射
 */
declare module '@any-touch/core' {
    interface PluginContextMap {
        rotate: RotateContext;
    }
    interface EventMap {
        rotate: AnyTouchEvent;
        rotatestart: AnyTouchEvent;
        rotatemove: AnyTouchEvent;
        rotateend: AnyTouchEvent;
        rotatecancel: AnyTouchEvent;
    }
}
/**
 * "旋转"识别器
 * @param at AnyTouch实例
 * @param options 识别器选项
 * @returns
 */
export default function (at: Core, options?: Partial<typeof DEFAULT_OPTIONS>): any;
export {};
